<script>
import Vue from 'vue';

export default Vue.extend({
  name: 'KubeconIntro',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
    side: {
      type: Boolean,
      required: false,
      default: false,
    },
  },
});
</script>

<template>
  <SlpContainer class="slp-mt-96 slp-mb-48">
    <nuxt-img src="/nuxt-images/icons/events/chat-black.svg" />
    <SlpRow>
      <SlpColumn :cols="side ? 7 : 8">
        <SlpTypography variant="heading2-bold" tag="h2" class="slp-pb-24">{{
          data.headline
        }}</SlpTypography>
      </SlpColumn>
    </SlpRow>
    <SlpRow>
      <SlpColumn :cols="side ? 4 : 9">
        <SlpTypography variant="heading5-bold" tag="p">{{
          data.description
        }}</SlpTypography>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped></style>
